TextFileBB Multiple Tag Script Injection Vulnerabilities

TextFileBB is prone to multiple script-injection vulnerabilities. These issues are due to a failure in the application to properly sanitize user-supplied input before including it in dynamically generated content.

Attacker-supplied HTML and script code would be able to access properties of the site, potentially allowing the attacker to steal cookie-based authentication credentials. Other attacks are also possible.

These issues are reported to affect version 1.0.16; other versions may also be vulnerable.


 

Privacy Statement
Copyright 2010, SecurityFocus